Subject: Re: linux-next: manual merge of the kselftest-fixes tree with Linus' tree

From: Shuah Khan <[email-masked]>
Date: Fri, 27 May 2022 08:28:07 -0600

On 5/26/22 5:33 PM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kselftest-fixes tree got a conflict in:
> 
>    tools/testing/selftests/vm/run_vmtests.sh
> 
> between commits:
> 
>    b67bd551201a ("selftests: vm: refactor run_vmtests.sh to reduce boilerplate")
>    33776141b812 ("selftests: vm: add process_mrelease tests")
> 
> from Linus' tree and commit:
> 
>    e8f0c8965932 ("selftest/vm: add skip support to mremap_test")
> 
> from the kselftest-fixes tree.
> 
> I fixed it up (I used the former version of this file which seems to have
> included the latter) and can carry the fix as necessary. This is now fixed
> as far as linux-next is concerned, but any non trivial conflicts should
> be mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.
> 

Stephen,

This is just a bit outdated kselftest-fixes tree problem. I didn't update
it after Andrew sent the fixes in.

I don't have plans to send any pull requests from this kselftest-fixes brach.

We are good. Thank you for keeping the fix-up in next. It will be cleared
up in a week or so.

thanks,
-- Shuah